subscribers:
  includes:
    - dds_topic: /pcu/emu_control
      ach_topic: /emu/dds_bridge/ai_control_command
    - dds_topic: /pcu/robot_monitor/request
      ach_topic: /emu/robot_monitor/request
      reader_config:
        max_remote_writers: 10
        max_remote_writers_per_instance: 1
        max_samples_per_remote_writer: 1
        max_outstanding_reads: 1
        max_routes_per_writer: 1
    - dds_topic: /pcu/ai_monitor/constraints
      ach_topic: /emu/ai_monitor/constraints
      reader_config:
        channel_depth: 15
        max_remote_writers: 10
        max_remote_writers_per_instance: 1
        max_samples_per_remote_writer: 1
        max_outstanding_reads: 1
        max_routes_per_writer: 1
    - dds_topic: /pcu/emu_tracker_smoother
      ach_topic: /emu/dds_bridge/ai_tracker_smoother
    - dds_topic: /pcu/emu_localizer
      ach_topic: /emu/dds_bridge/ai_localizer_info
    - dds_topic: /emu/power_manager/request
      ach_topic: /emu/power_manager/request
      reader_config:
        channel_depth: 15
        max_remote_writers: 10
        max_remote_writers_per_instance: 1
        max_samples_per_remote_writer: 1
        max_outstanding_reads: 1
        max_routes_per_writer: 1
    - dds_topic: /rider_state_machine/emu_heartbeat
      ach_topic: /emu/dds_bridge/rsm_emu_heartbeat
    # Drive manager output sent from the PCU to the emu for SoftEmu
    - dds_topic: /pcu/drive_manager/feedback
      ach_topic: /pcu/drive_manager/feedback
    # CAS topics from PCU
    - dds_topic: /pcu/planner/smoother
      ach_topic: /pcu/planner/smoother
    - dds_topic: /pcu/hero_smooth_state
      ach_topic: /pcu/hero_smooth_state
    - dds_topic: /emu/manual_control/request
      ach_topic: /emu/manual_control/request
      reader_config:
        channel_depth: 15
        max_remote_writers: 10
        max_remote_writers_per_instance: 1
        max_samples_per_remote_writer: 1
        max_outstanding_reads: 1
        max_routes_per_writer: 1
    - dds_topic: /body_request
      ach_topic: /emu/body_request
      reader_config:
        channel_depth: 15
        max_remote_writers: 10
        max_remote_writers_per_instance: 1
        max_samples_per_remote_writer: 1
        max_outstanding_reads: 1
        max_routes_per_writer: 1
    - dds_topic: /emu/drive_request
      ach_topic: /emu/drive_request
    - dds_topic: /emu/south_gateway/request
      ach_topic: /emu/south_gateway/request
    - dds_topic: /ff/recovery_mode/request
      ach_topic: /ff/recovery_mode/request
